Delete File from Memory
curl --request DELETE \
--url https://api.duohub.ai/memories/delete-file \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.duohub.ai/memories/delete-file"
headers = {"X-API-Key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.duohub.ai/memories/delete-file', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success"
}{
"error": "<string>",
"status": "bad_request"
}{
"error": "API key is required",
"status": "unauthorized"
}{
"error": "<string>",
"status": "forbidden"
}{
"error": "Sample not found",
"status": "not_found"
}{
"error": "Internal server error",
"status": "error"
}Memories API
Delete File from Memory
Delete a file from a memory
DELETE
/
memories
/
delete-file
Delete File from Memory
Please note this endpoint can only be used with memories created on or after
17-Dec-2024.
Authorizations
Your duohub API key. Type: str
Query Parameters
ID of the file to remove from the memory
ID of the memory to remove the file from
Response
File deleted from memory successfully
Available options:
success ⌘I